cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From COFFMAN Steven <>
Subject RE: fop-0_14_0 with cocoon1.8
Date Thu, 19 Oct 2000 14:23:58 GMT
FOP 0.14 uses SAX2, and previous versions used SAX1. Cocoon 1.x has a
FO2PDFFormatter (I believe) that needs to be updated in order to use the new

The current FOP CVS has some additional SAX2 fixes so if you're running
Cocoon2, I recommend you use the current CVS FOP (0.15CVS).


-----Original Message-----
From: Berin Loritsch []
Sent: Thursday, October 19, 2000 10:11 AM
Subject: Re: fop-0_14_0 with cocoon1.8

----- Original Message ----- 
From: "Rob van der Zeijden" <>
To: <>
Sent: Thursday, October 19, 2000 9:45 AM
Subject: fop-0_14_0 with cocoon1.8

> Hi,
> i seem to have a problem with cocoon1.8 in combination with fop-0_14_0.
> getting a null pointer exception when trying to use fop. the
> fop-0_13_0 version doesn't seem to have these particular problem.
> any suggestions,

fop 0.14 has some changes that make it incompatible with
the Cocoon 1.x series.  I can't remember if it has to
do with Xalan, or the way Cocoon interfaces with it.
Until Cocoon2 is released you may be stuck with the 0.13

View raw message